#include <iostream>
#include <vector>

using namespace std;

int main()
{
   
    int n, k, x;
    cin >> n >> k >> x;
    vector<long long int> p(n);
    for (int i = 0; i < n; i++) 
        cin >> p[i];

    for (int i = 0; i + k <= n; i++)
    {
        long long int c = 1;
        long long int aura = 0;
        for (int j = i; j < i + k; j++)
        {
            aura += c * p[j];
            if (p[j] < 0) c++;
        }
        cout << aura;
        if (i + k < n) cout << endl;
    }

    return 0;
}